export { getMotionInsertSerialOperations, type GetMotionInsertSerialOperationsParam } from './get-motion-insert-serial-operations.js';
export { getMotionValueUpdateSerialOperations, type GetMotionValueUpdateSerialOperationsParam } from './get-motion-value-update-serial-operations.js';
export { type MotionInfo } from './motion-info.js';
export { requestMotionPermissions } from './request-motion-permissions.js';
export { subscribeToAccelerationChanges } from './subscribe-to-acceleration-changes.js';
export { subscribeToOrientationChanges } from './subscribe-to-orientation-changes.js';
export { type SubscribeToMotionChangesParam } from './subscribe-to-motion-changes-param.js';
export { WithAccelerationSubscription, type WithAccelerationSubscriptionParam } from './react/components/with-use-acceleration-subscription.js';
export { WithOrientationSubscription, type WithOrientationSubscriptionParam } from './react/components/with-use-orientation-subscription.js';
export { WithMotionSubscription, WithMotionSubscriptionParam } from './react/components/with-motion-subscription.js';
export { Package, PackageOptions } from './package.js';
